Skip to main content
POST
/
v3
/
async
/
flux-1-kontext-pro
FLUX.1 Kontext Pro
curl --request POST \
  --url https://api.novita.ai/v3/async/flux-1-kontext-pro \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "prompt": "<string>",
  "images": [
    "<string>"
  ],
  "guidance_scale": 123,
  "aspect_ratio": "<string>",
  "seed": 123,
  "safety_tolerance": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/flux-1-kontext-pro"

payload = {
"prompt": "<string>",
"images": ["<string>"],
"guidance_scale": 123,
"aspect_ratio": "<string>",
"seed": 123,
"safety_tolerance": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
prompt: '<string>',
images: ['<string>'],
guidance_scale: 123,
aspect_ratio: '<string>',
seed: 123,
safety_tolerance: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/flux-1-kontext-pro', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
FLUX.1 Kontext [pro] is a model with greatly improved prompt adherence and typography generation meet premium consistency for editing without compromise on speed.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

prompt
string
required
The prompt to generate an image from.
images
string[]
The images to generate an image from. Limit to a maximum of 4 images.
guidance_scale
number
The guidance scale to use for the generation. Default is 3.5. Range [1.0 ~ 20.0].
aspect_ratio
string
The aspect ratio of the generated image.
Enum: 21:9, 16:9, 4:3, 3:2, 1:1, 2:3, 3:4, 9:16, 9:21
seed
integer
The random seed to use for the generation. Default is -1. -1 means a random seed will be used. Range [-1 ~ 2147483647].
safety_tolerance
string
Only supported in text-to-image.
The safety tolerance level for the generated image. 1 being the most strict and 5 being the most permissive. Default is 2.
Enum: 1, 2, 3, 4, 5

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on September 12, 2025